<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['supp-tema-title4'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['tema_id'])) puterror2($TEXT['error-tema5']);
  if(strlen($_POST['tema_id'])>11) puterror2($TEXT['error-tema4']);
  $_POST['tema_id'] = rep($_POST['tema_id']);

  $tema_id = $_POST['tema_id'];

  //*************************************
  $query = "SELECT * FROM `tbl_supp_tema` WHERE `tema_id`='".$_POST['tema_id']."' ";
  $result = mysql_query($query);
  if (!$result) puterror2($TEXT['error-tbl22']);
   $result2 = mysql_fetch_array($result);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-supp8'];
  $what = $result2['tema'].$TEXT['log-id'].$_POST['tema_id'];
  $who = $result2['fullname'];
  //*************************************
  $query = "DELETE FROM `tbl_supp_tema` WHERE `tema_id`='".$_POST['tema_id']."' LIMIT 1";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index-tema.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-tema7']);
  require_once "../util/bottom.php";
?>
